n=int(input('nombre de points : '))
a=float(input('a= '))
b=float(input('b= '))
L1=[a+(b-a)/k for k in range(1,n+1)]
print(L1)


#C 2.
n=int(input("nombre de points: "))
L1=[1+2/k for k in range(1,n+1)]
L2=[(x*x-1)/(x-1) for x in L1]
print(L2)


#C 3.a.
a,b=1,3
k=1
while (b-a)/k>=10**-3:
    k+=1
print("n_0=",k)